import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { GitsearchTestModule } from '../../test.module';
import { BookmarkComponent } from 'app/bookmarks/bookmarks.component';
import { UserWatchListService } from 'app/entities/user-watch-list/user-watch-list.service';

describe('Component Tests', () => {
  describe('Bookmarks Component', () => {
    let comp: BookmarkComponent;
    let fixture: ComponentFixture<BookmarkComponent>;
    let userWatchListService: UserWatchListService;

    beforeEach(waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [GitsearchTestModule],
        declarations: [BookmarkComponent],
      })
        .overrideTemplate(BookmarkComponent, '')
        .compileComponents();

        fixture = TestBed.createComponent(BookmarkComponent); // no idea why this is needed here
  
    }));

    beforeEach(() => {
      fixture = TestBed.createComponent(BookmarkComponent);
      comp = fixture.componentInstance;
      userWatchListService = TestBed.get(UserWatchListService);
    });

    it('Should call userWatchListService.findMyWatchlists on initial ngOnInit', () => {
      // WHEN
      comp.ngOnInit();


      // THEN
      expect(userWatchListService.findMyWatchlists).toHaveBeenCalled();
    });

  });
});
